[arch-commits] Commit in distrho-ports/repos (2 files)
David Runge
dvzrv at archlinux.org
Sat Aug 8 10:24:16 UTC 2020
Date: Saturday, August 8, 2020 @ 10:24:16
Author: dvzrv
Revision: 672077
archrelease: copy trunk to community-x86_64
Added:
distrho-ports/repos/community-x86_64/
distrho-ports/repos/community-x86_64/PKGBUILD
(from rev 672076, distrho-ports/trunk/PKGBUILD)
----------+
PKGBUILD | 97 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 97 insertions(+)
Copied: distrho-ports/repos/community-x86_64/PKGBUILD (from rev 672076, distrho-ports/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD (rev 0)
+++ community-x86_64/PKGBUILD 2020-08-08 10:24:16 UTC (rev 672077)
@@ -0,0 +1,97 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+# upstream has no annotated tags
+_commit=a953bed05844d4a0ba349f75c75b56a430c8b11a # 2020-07-14
+pkgname=distrho-ports
+pkgver=2020.07.14
+pkgrel=1
+pkgdesc="Linux audio plugins and LV2 ports"
+arch=('x86_64')
+url="https://github.com/distrho/distrho-ports"
+license=('GPL2' 'LGPL3')
+groups=('lv2-plugins' 'pro-audio' 'vst-plugins')
+# TODO: add kxstudio-lv2-extensions
+depends=('gcc-libs' 'glibc' 'libglvnd' 'libx11' 'libxext')
+makedepends=('alsa-lib' 'freetype2' 'git' 'libxcursor' 'lv2' 'meson')
+checkdepends=('lv2lint')
+source=("git+https://github.com/DISTRHO/${pkgname}#commit=${_commit}?signed")
+md5sums=('SKIP')
+validpgpkeys=('62B11043D2F6EB6672D93103CDBAA37ABC74FBA0') # falkTX <falktx at falktx.com>
+
+prepare() {
+ cd "$pkgname"
+}
+
+build() {
+ cd "$pkgname"
+ meson --prefix='/usr' \
+ --buildtype plain \
+ --wrap-mode nodownload \
+ -D b_lto=true \
+ -D b_pie=true \
+ -Dintrospection=enabled \
+ build
+ ninja -C build
+}
+
+check() {
+ local _plugins _urls _plugin
+ _plugins=('Dexed' 'EasySSP' 'HiReSam' 'JuceOPL' 'KlangFalter' 'LUFSMeter'
+ 'LUFSMeterMulti' 'Luftikus' 'Obxd' 'PitchedDelay' 'ReFine'
+ 'StereoSourceSeparation' 'TAL-Dub-3' 'TAL-Filter-2' 'TAL-Filter'
+ 'TAL-NoiseMaker' 'TAL-Reverb-2' 'TAL-Reverb-3' 'TAL-Reverb' 'TAL-Vocoder-2'
+ 'Temper' 'TheFunction' 'ThePilgrim' 'Wolpertinger' 'drowaudio-distortion'
+ 'drowaudio-distortionshaper' 'drowaudio-flanger' 'drowaudio-reverb'
+ 'drowaudio-tremolo' 'drumsynth' 'eqinox' 'vex')
+ # some URIs are not URLS: https://github.com/DISTRHO/DISTRHO-Ports/issues/59
+ declare -A _urls=(
+ ["Dexed"]="https://github.com/asb2m10/dexed"
+ ["EasySSP"]="http://au.tomatl.org/essp"
+ ["HiReSam"]="https://github.com/klangfreund/SpectrumAnalyser"
+ ["JuceOPL"]="https://bsutherland.github.io/JuceOPLVSTi/"
+ ["KlangFalter"]="https://github.com/HiFi-LoFi/KlangFalter"
+ ["LUFSMeter"]="http://www.klangfreund.com/lufsmeter"
+ ["LUFSMeterMulti"]="http://www.klangfreund.com/lufsmetermultichannel"
+ ["Luftikus"]="https://code.google.com/p/lkjb-plugins/luftikus"
+ ["Obxd"]="https://obxd.wordpress.com"
+ ["PitchedDelay"]="http://code.google.com/p/lkjb-dc12/"
+ ["ReFine"]="https://github.com/lkjbdsp/lkjb-plugins#ReFine"
+ ["StereoSourceSeparation"]="https://github.com/laixinyuan/StereoSourceSepartion"
+ ["TAL-Dub-3"]="urn:juce:TalDub3"
+ ["TAL-Filter-2"]="urn:juce:TalFilter2"
+ ["TAL-Filter"]="urn:juce:TalFilter"
+ ["TAL-NoiseMaker"]="http://kunz.corrupt.ch/products/tal-noisemaker"
+ ["TAL-Reverb-2"]="urn:juce:TalReverb2"
+ ["TAL-Reverb-3"]="urn:juce:TalReverb3"
+ ["TAL-Reverb"]="urn:juce:TalReverb"
+ ["TAL-Vocoder"]="http://kunz.corrupt.ch/products/tal-vocoder"
+ ["Temper"]="https://github.com/creativeintent/temper"
+ ["TheFunction"]="http://arcticanaudio.com/plugins/thefunction"
+ ["ThePilgrim"]="http://arcticanaudio.com/plugins/thepilgrim"
+ ["Wolpertinger"]="http://tumbetoene.tuxfamily.org"
+ ["drowaudio-distortion"]="http://www.drowaudio.co.uk/audio/audio_plugins/distortion"
+ ["drowaudio-distortionshaper"]="http://www.drowaudio.co.uk/audio/audio_plugins/distortion_shaper"
+ ["drowaudio-flanger"]="http://www.drowaudio.co.uk/audio/audio_plugins/flanger"
+ ["drowaudio-reverb"]="http://www.drowaudio.co.uk/audio/audio_plugins/reverb"
+ ["drowaudio-tremolo"]="http://www.drowaudio.co.uk/audio/audio_plugins/tremolo"
+ ["drumsynth"]="urn:juced:DrumSynth"
+ ["eqinox"]="urn:juced:EQinox"
+ ["vex"]="urn:juce:Vex"
+ )
+ cd "$pkgname"
+ echo "Linting plugins: ${_plugins[*]}"
+ for _plugin in "${_plugins[@]}"; do
+ echo "Linting ${_plugin}: ${_urls[${_plugin}]}"
+ if [ -n "${_urls[${_plugin}]}" ]; then
+ lv2lint -Mpack -I "build/ports-legacy/${_plugin}.lv2/" "${_urls[${_plugin}]}" || echo "https://github.com/DISTRHO/DISTRHO-Ports/issues/58"
+ fi
+ done
+ ninja -C build test
+}
+
+package() {
+ depends+=('libasound.so' 'libfreetype.so')
+ cd "$pkgname"
+ DESTDIR="${pkgdir}" meson install -C build
+ install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
+}
More information about the arch-commits
mailing list